as.phylo.formula {ape} | R Documentation

## Conversion from Taxonomy Variables to Phylogenetic Trees

### Description

The function `as.phylo.formula` (short form `as.phylo`) builds a phylogenetic tree (an object of class `phylo`) from a set of nested taxonomic variables.

### Usage

    ## S3 method for class 'formula'
    as.phylo(x, data = parent.frame(), ...)

### Arguments

`x` | a right-side formula describing the taxonomic relationship: `~C1/C2/.../Cn`.
`data` | the data.frame where to look for the variables (default to environment).
`...` | further arguments to be passed from other methods.

### Details

Taxonomic variables must be nested and passed in the correct order: the higher clade must be on the left of the formula, for instance `~Order/Family/Genus/Species`. In most cases, the resulting tree will be unresolved and contain polytomies.

### Value

An object of class `phylo`.

### Author(s)

Julien Dutheil Julien.Dutheil@univ-montp2.fr

### See Also

`as.phylo`, `read.tree` for a description of `phylo` objects, `multi2di`

### Examples

    data(carnivora)
    plot(as.phylo(~SuperFamily/Family/Genus/Species, data=carnivora))

[Package ape version 3.5 Index]